{
   TGraphAsymmErrors * g = new TGraphAsymmErrors();
   //set a couple of points - index starts from 0
   //parameters: point index, x coordinate, y coordinate
   g->SetPoint(0, 1.0, 2.0);
   g->SetPoint(1, 2.0, 5.0);
   //set the errors
   //parameters: point index, 
   //x err down, x err up, y err down, y err up
   g->SetPointError(0, 0.25, 0.35, 1.0, 1.1);
   g->SetPointError(1, 0.65, 0.5, 2.5, 2.0);
   
   g->SetMarkerStyle(kFullSquare);
   g->SetMarkerSize(1.0);
   g->SetMarkerColor(kRed);
   g->SetLineColor(kRed);
   //in TGraph, need to draw Axis (A)
   //want to draw markers (P) and line (L)
   g->Draw("AP");
}

